Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 595643 - RHEVM Backned: Maximum disk size should be different for IDE,VirtIO disk interfaces. [RFE]
Summary: RHEVM Backned: Maximum disk size should be different for IDE,VirtIO disk inte...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: All
OS: Windows
low
medium
Target Milestone: ---
: 3.3.4
Assignee: lpeer
QA Contact:
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 09:26 UTC by Oded Ramraz
Modified: 2015-01-24 11:24 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-12 07:36:12 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Oded Ramraz 2010-05-25 09:26:40 UTC
Description of problem:

Right now maximum size for newly created disk is 16TB ( which is ext3 limit )
IDE disk interfaces has 8TB size limit.

When i run XP VM with disk larger than 8 TB its stuck in a loop:
Format disk -> copy files -> reboot ->....

When i run XP guest with 8TB sparse cow disk it manage to finish its installation but when i run it and look at the disk properties i can see only 2 TB of free space.

IMO Backend should have different size limits for IDE,Virtio disk interfaces.
Another influent parameter for determining maximum disk size might be OS type.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Itamar Heim 2011-12-10 15:11:50 UTC
ayal - what should be the numbers for each for 2.2/3.0/3.1 cluster levels?

Comment 2 Ayal Baron 2011-12-10 20:50:52 UTC
(In reply to comment #0)
> Description of problem:
> 
> Right now maximum size for newly created disk is 16TB ( which is ext3 limit )
> IDE disk interfaces has 8TB size limit.

physical ide has no such limitation (http://www.48bitlba.com/) and to the best of my knowledge neither does qemu.

> 
> When i run XP VM with disk larger than 8 TB its stuck in a loop:
> Format disk -> copy files -> reboot ->....

What service pack? plain XP does not support lba48 and for XP w/sp1 you need to enable lba48 specifically.

> 
> When i run XP guest with 8TB sparse cow disk it manage to finish its
> installation but when i run it and look at the disk properties i can see only 2
> TB of free space.

As far as the guest os is concerned there is no diff between sparse and preallocated so something here smells fishy.


> 
> IMO Backend should have different size limits for IDE,Virtio disk interfaces.
> Another influent parameter for determining maximum disk size might be OS type.
> 
> 
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

Comment 3 Oded Ramraz 2011-12-11 08:17:25 UTC
Dor , Can you please update us with the current limitations of qemu disk sizes?

Comment 4 Dor Laor 2011-12-11 09:01:02 UTC
(In reply to comment #3)
> Dor , Can you please update us with the current limitations of qemu disk sizes?

Kevin, do you know on any exact limitation?
Oded, it's better to use Linux guests to test that, windows is a weird selection, especially XP and also you add another component to the equation (virtio driver)

Comment 5 Kevin Wolf 2011-12-12 10:21:28 UTC
I'm not aware of any currently practically relevant limits. IDE should be the same as on physical hardware, virtio-blk 2^64 bytes. The qcow2 format can do up to 2^62 bytes in theory, but I'm not sure if we don't have some bugs with 32 bit truncation that make it something like cluster_size * sizeof(int) = 256 TB in practice. I don't think we have testing in place for such big images.

Comment 6 Yaniv Kaul 2011-12-12 13:19:41 UTC
(In reply to comment #5)
> I'm not aware of any currently practically relevant limits. IDE should be the
> same as on physical hardware, virtio-blk 2^64 bytes. The qcow2 format can do up
> to 2^62 bytes in theory, but I'm not sure if we don't have some bugs with 32
> bit truncation that make it something like cluster_size * sizeof(int) = 256 TB
> in practice. I don't think we have testing in place for such big images.

i suspect some OSes may have limitations. For example, XP with IDE. It may be transparent to QEMU, but not to RHEVM.

Comment 7 Ayal Baron 2012-06-12 12:04:18 UTC
This is not a bug.
If a you install an os that doesn't support a large disk, then don't expose it.
We do not introspect into the guest to see which os is installed.

Comment 8 Ayal Baron 2012-06-12 12:04:32 UTC
This is not a bug.
If a you install an os that doesn't support a large disk, then don't expose it.
We do not introspect into the guest to see which os is installed.

Comment 9 Oded Ramraz 2012-06-12 12:09:02 UTC
The OS type is a property of the VM . Engine stores this information in the DB.

(In reply to comment #8)
> This is not a bug.
> If a you install an os that doesn't support a large disk, then don't expose
> it.
> We do not introspect into the guest to see which os is installed.

Comment 10 Itamar Heim 2012-12-12 07:36:12 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.